Package org.eclipse.rdf4j.common.platform.support

## Class WindowsPlatform

- java.lang.Object
- - org.eclipse.rdf4j.common.platform.AbstractPlatform
  - - org.eclipse.rdf4j.common.platform.support.WindowsPlatform

- All Implemented Interfaces:
    `Platform`

      public class WindowsPlatform
      extends AbstractPlatform

  Platform implementation for MS-Windows

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ADUNA_APPLICATION_DATA` | name of the app data subdirectory containing all RDF4J files *
    `static String` | `APPLICATION_DATA` | name of the directory containing application data

    - ### Fields inherited from class org.eclipse.rdf4j.common.platform.AbstractPlatform

      `colonReplacement, logger, separatorReplacement, whitespaceReplacement`

    - ### Fields inherited from interface org.eclipse.rdf4j.common.platform.Platform

      `APPDATA_BASEDIR_PROPERTY, OLD_DATADIR_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WindowsPlatform()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `dataDirPreserveCase()` | Check if case is preserved
    `boolean` | `dataDirReplaceColon()` | Check if colon is replaced
    `boolean` | `dataDirReplaceWhitespace()` | Check if whitespace is replaced
    `String` | `getCommandShell()` | Returns the command shell for MS-Windows
    `String` | `getName()` | Returns the name of this windows platform.
    `File` | `getOSApplicationDataDir()` | Returns an application data directory in the "Application Data" user directory of Windows.
    `File` | `getUserHome()` | Returns the directory for the current user.

    - ### Methods inherited from class org.eclipse.rdf4j.common.platform.AbstractPlatform

      `getApplicationDataDir, getApplicationDataDir, getOSApplicationDataDir, getRelativeApplicationDataDir, getRelativeApplicationDataDir`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLICATION_DATA

          public static final String APPLICATION_DATA

      name of the directory containing application data
      See Also:
        Constant Field Values

    - #### ADUNA_APPLICATION_DATA

          public static final String ADUNA_APPLICATION_DATA

      name of the app data subdirectory containing all RDF4J files *
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WindowsPlatform

          public WindowsPlatform()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns the name of this windows platform.
      Returns:
        name of the platform

    - #### getUserHome

          public File getUserHome()

      Description copied from interface: `Platform`
      Returns the directory for the current user.
      Specified by:
        `getUserHome` in interface `Platform`
      Overrides:
        `getUserHome` in class `AbstractPlatform`
      Returns:
        the current user home directory

    - #### getOSApplicationDataDir

          public File getOSApplicationDataDir()

      Returns an application data directory in the "Application Data" user directory of Windows.
      Returns:
        directory

    - #### getCommandShell

          public String getCommandShell()

      Returns the command shell for MS-Windows
      Returns:
        name of the command shell

    - #### dataDirPreserveCase

          public boolean dataDirPreserveCase()

      Description copied from interface: `Platform`
      Check if case is preserved
      Returns:
        boolean

    - #### dataDirReplaceWhitespace

          public boolean dataDirReplaceWhitespace()

      Description copied from interface: `Platform`
      Check if whitespace is replaced
      Returns:
        boolean

    - #### dataDirReplaceColon

          public boolean dataDirReplaceColon()

      Description copied from interface: `Platform`
      Check if colon is replaced
      Returns:
        boolean